%def_without test
%define module_name Net-LDAPapi
# BEGIN SourceDeps(oneline):
BuildRequires: libldap-devel libsasl2-devel perl(AutoLoader.pm) perl(Config.pm) perl(Convert/ASN1.pm) perl(Devel/Cover.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/BDD/Cucumber/Harness/TestBuilder.pm) perl(Test/BDD/Cucumber/Loader.pm) perl(Test/BDD/Cucumber/StepFile.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.0.7
Release: alt5
Summary: Perl5 Module Supporting LDAP API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MISHIKAL/%{module_name}-%{version}.tar.gz

%description
This module allows Perl programmers to access and manipulate an LDAP
  based Directory.

  Versions beginning with 1.40 support both the original "C API" and
  new "Perl OO" style interface methods.  With version 1.42, I've added
  named arguments.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Todo Changes examples
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 3.0.7-alt5
- rebuild with perl 5.38

* Sat Feb 18 2023 Cronbuild Service <cronbuild@altlinux.org> 3.0.7-alt4
- rebuild to get rid of unmets

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 3.0.7-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 3.0.7-alt2
- rebuild with perl 5.30

* Fri Oct 11 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.7-alt1
- updated by package builder

* Thu Mar 07 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.5-alt1
- initial import by package builder

